<?php
namespace nulib\cache;

use nulib\db\sqlite\SqliteStorage;
use nulib\output\msg;
use nulib\output\std\StdMessenger;
use nulib\tests\TestCase;

class _TestCase extends TestCase {
  protected static SqliteStorage $storage;

  static function setUpBeforeClass(): void {
    parent::setUpBeforeClass();
    msg::set_messenger_class(StdMessenger::class);
    self::$storage = new SqliteStorage(__DIR__."/cache.db");
    cache::set_storage(self::$storage);
  }

  static function tearDownAfterClass(): void {
    parent::tearDownAfterClass();
    self::$storage->close();
  }
}
